# frozen_string_literal: true

module Taf
  module TestSteps
    module Handlers
      # Handle Browser Window function.
      class SwitchToOriginalTabOrWindow < Base
        register :switch_to_original_tab_or_window

        def perform
          Taf::Browser.b.switch_to.window original_window
          sleep 2
          Taf::Browser.b.title.eql?(@value.to_s)
          Taf::MyLog.log.info("Original Window title: #{@value} is correct")
          true
        rescue StandardError
          Taf::MyLog.log.warn("Original Window not found: #{@value}")
          false
        end
      end
    end
  end
end
